# Firefox config

Configuration for [Firefox](https://firefox.com) focused on privacy and blazing-fast browsing, suitable for everyone, based on the [Betterfox](https://github.com/yokoffing/Betterfox/) project.

You can find more Firefox and browsing tips [here](https://space.znachor.cz/software/firefox.html) (CZ).

## Installation

To install this configuration, follow these steps:

1. Create a new Firefox profile (optional)
    - Open `about:profiles` and create a new profile.

2. Open profile directory
    - You can find the profile's root directory on `about:profiles` page.
    - If you are using Flatpak, `.mozilla` directory will be located at `~/.var/app/org.mozilla.firefox/`.

3. Create `user.js` file
    - Paste the content of Betterfox's [user.js file](https://raw.githubusercontent.com/yokoffing/Betterfox/master/user.js).
    - Add the content of my [user.js file](/Znachor/Firefox/raw/branch/master/user.js) at the end of the file.

4. Edit or create `prefs.js` file
    - Add the content of my [prefs.js file](/Znachor/Firefox/raw/branch/master/prefs.js) at the end of the file.

## Problems

### Wayland mode

If you're using Wayland, Firefox runs as an X11 application by default. To enable Wayland support you should add the following environment value.

`MOZ_ENABLE_WAYLAND=1`

### Touchpad scrolling

If you find the touchpad scrolling speed in Firefox too fast, it is possible to solve this problem by adding the following environment value.

`MOZ_USE_XINPUT2=1`

## Sources

- [Betterfox project](https://github.com/yokoffing/Betterfox)
- [Firefox page on ArchWiki](https://wiki.archlinux.org/title/firefox)